//
//  PLHTTPRequestOperationManager.m
//  Picturelife iOS SDK
//
//  Created by Glenn Wolters on 04/11/13.
//  Copyright (c) 2013 Glenn Wolters. All rights reserved.
//

#import "PLHTTPRequestOperationManager.h"

static NSString * const PLPicturelifeAPIBaseURLString = @"https://api.picturelife.com";

@implementation PLHTTPRequestOperationManager

+ (PLHTTPRequestOperationManager *)manager {
    static dispatch_once_t onceToken;
    static PLHTTPRequestOperationManager *__manager;

    dispatch_once(&onceToken, ^{
        if (__manager == nil) {
            __manager = [[PLHTTPRequestOperationManager alloc] initWithBaseURL:[NSURL URLWithString:PLPicturelifeAPIBaseURLString]];
        }
    });
    
    return __manager;
}

@end
